<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb</groupId>
    <artifactId>underlying</artifactId>
    <version>1.9.0</version>
  </parent>
  <groupId>ru.entaxy.esb.underlying</groupId>
  <artifactId>entaxy-underlying-configuration</artifactId>
  <packaging>pom</packaging>
  <name>ENTAXY :: UNDERLYING :: CONFIGURATION</name>
  <description>Configuration for underlying components and modules for Entaxy</description>
  
  <build>
  	<plugins>
	    <plugin>
	        <groupId>org.codehaus.mojo</groupId>
	        <artifactId>build-helper-maven-plugin</artifactId>
	        <executions>
	            <execution>
	                <id>attach-artifacts</id>
	                <phase>package</phase>
	                <goals>
	                    <goal>attach-artifact</goal>
	                </goals>
	                <configuration>
	                    <artifacts>
	                    
	                    	<!-- non-packaged resources -->
	                    
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/config.properties</file>
	                            <type>properties</type>
	                            <classifier>config</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/jre.properties</file>
	                            <type>properties</type>
	                            <classifier>jre</classifier>
	                        </artifact>

	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/org.apache.felix.hc.core.impl.servlet.HealthCheckExecutorServlet.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.apache.felix.hc.core.impl.servlet.HealthCheckExecutorServlet.cfg</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/org.apache.karaf.cellar.groups.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.apache.karaf.cellar.groups</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/org.apache.karaf.cellar.node.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.apache.karaf.cellar.node</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/org.apache.karaf.management.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.apache.karaf.management</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/org.apache.karaf.shell.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.apache.karaf.shell</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/org.ops4j.pax.url.mvn.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.ops4j.pax.url.mvn</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/org.ops4j.pax.web.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.ops4j.pax.web</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/org.ops4j.pax.logging.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.ops4j.pax.logging</classifier>
	                        </artifact>
	                        
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/system.properties</file>
	                            <type>properties</type>
	                            <classifier>system</classifier>
	                        </artifact>
	                        
	                        <artifact>
	                            <file>src/main/non-packaged-resources/etc/scripts/entaxy.shell.script</file>
	                            <type>script</type>
	                            <classifier>entaxy.shell</classifier>
	                        </artifact>
	                        
	                        <!-- filtered resources -->
	                        
	                        <artifact>
	                            <file>target/classes/etc/entaxy.properties</file>
	                            <type>properties</type>
	                            <classifier>entaxy</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>target/classes/etc/org.apache.karaf.features.repos.cfg</file>
	                            <type>cfg</type>
	                            <classifier>org.apache.karaf.features.repos</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>target/classes/etc/org.apache.karaf.features.xml</file>
	                            <type>xml</type>
	                            <classifier>org.apache.karaf.features</classifier>
	                        </artifact>
	                        <artifact>
	                            <file>target/classes/etc/quartz.properties</file>
	                            <type>properties</type>
	                            <classifier>quartz</classifier>
	                        </artifact>
	                    </artifacts>
	                </configuration>
	            </execution>
	        </executions>
	    </plugin>
  	</plugins>
  </build>
  
</project>
